<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xsl:template match="/">
        <html>
            <head />
            <body>
                <xsl:for-each select="X-Firewire-1.0">
                    <xsl:for-each select="Content">
                        <table border="1">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Location</td>
                                </tr>
                            </thead>
                            <tbody>
                                <xsl:for-each select="Parameter">
                                    <tr>
                                        <td>
                                            <xsl:for-each select="@Name">
                                                <xsl:value-of select="." />
                                            </xsl:for-each>
                                        </td>
                                        <td>
                                            <xsl:for-each select="Location">
                                                <xsl:apply-templates />
                                            </xsl:for-each>
                                        </td>
                                    </tr>
                                </xsl:for-each>
                            </tbody>
                        </table>
                    </xsl:for-each>
                </xsl:for-each>
                <p>
                    <hr color="black" size="1" />
                    <xsl:apply-templates />
                    <textarea value="">
                        <xsl:value-of select="X-Firewire-1.0/Properties/NumberOfWords" />
                    </textarea>
                </p>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
